%global svn_release 475
%global _legacy_common_support 1

Summary: Musepack audio decoding library
Name:	 libmpcdec
Version: 1.3.0
Release:    1%{?dist}

License: BSD 
URL: 	 https://www.musepack.net/
Source0: https://files.musepack.net/source/musepack_src_r%{svn_release}.tar.gz
Patch0:  r475-cmake.patch

BuildRequires: gcc
BuildRequires: sed
BuildRequires: cmake
BuildRequires: libcuefile-devel
BuildRequires: libreplaygain-devel

%description
Musepack is an audio compression format with a strong emphasis on high quality.
It's not lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much smaller
MPC file.
It is based on the MPEG-1 Layer-2 / MP2 algorithms, but has rapidly developed
and vastly improved and is now at an advanced stage in which it contains
heavily optimized and patentless code.

%package devel
Summary: Development files for the Musepack audio decoding library
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%package -n musepack-tools
Summary: Musepack audio decoding and encoding tools
Requires: %{name} = %{version}-%{release}
%description -n musepack-tools
%{summary}.


%prep
%autosetup -p1 -n musepack_src_r%{svn_release}

find -type f -exec chmod 0644 '{}' +
sed -ibackup 's/\r$//' libwavformat/*


%build
%cmake -Wno-dev .
%cmake_build


%install
%cmake_install


%files
%doc libmpcdec/AUTHORS libmpcdec/ChangeLog libmpcdec/README
%license libmpcdec/COPYING
%{_libdir}/libmpcdec.so.6{,.*}

%files devel
%{_includedir}/mpc/
%{_libdir}/libmpcdec.so

%files -n musepack-tools
%license libmpcdec/COPYING
%{_bindir}/mpc*
%{_bindir}/wavcmp


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
